%def_disable debug
%def_enable final
%def_disable rpath
%def_with pic
%def_enable shared
%def_disable static
%def_disable embedded
%def_enable mt
%def_enable threading

Name: libkexiv2
Version: 0.1.7
Release: alt1.1
Group: System/Libraries
Summary: KDE Exiv2 Interface
License: %gpl2plus
URL: http://www.kipi-plugins.org/ 
Source: %name-%version.tar.bz2

# Automatically added by buildreq on Mon May 07 2007
#BuildRequires: doxygen gcc-c++ graphviz imake kde-i18n-uk kdelibs-devel libdnet-devel libexiv2-devel libjpeg-devel libXext-devel libXt-devel qt3-designer qt3-doc-html qtcl xml-utils xorg-cf-files

BuildRequires: gcc-c++
BuildRequires: autoconf >= 2.5
BuildRequires: automake >= 1.7
BuildRequires: libqt3-devel >= 3.3
BuildRequires: kdelibs-devel >= 3.4
BuildRequires: libexiv2-devel >= 0.12
BuildRequires: libXext-devel libXt-devel
BuildRequires: libjpeg-devel libdnet-devel xorg-cf-files xml-utils
BuildRequires: rpm-build-licenses

%description
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata.


%package devel
Summary: Development files for %name
Group: Development/KDE and QT
Requires: %name%{?_disable_shared:-devel-static} = %version-%release
Requires: libexiv2-devel >= 0.12

%description devel
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata.
This package contains the libraries and header files needed to develop
programs which make use of %name.


%if_enabled static
%package devel-static
Summary: Static %name
Group: Development/KDE and QT
Requires: %name = %version-%release

%description devel-static
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata.
This package contains the libraries and header files needed to develop
programs which make use of static %name.
%endif


%prep
%setup


%build
%configure \
    %{subst_enable debug} \
    %{subst_enable final} \
    %{subst_enable rpath} \
    %{subst_with pic} \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_enable embedded} \
    %{subst_enable mt} \
    %{subst_enable threading} \
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility

%make_build


%install
%make DESTDIR=%buildroot install
bzip2 --best --keep --force ChangeLog


%if_enabled shared
%post -p %post_ldconfig
%postun -p %postun_ldconfig
%endif


%if_enabled shared
%files
%doc AUTHORS NEWS README
%_libdir/*.so.*
%endif


%files devel
%doc ChangeLog.*
%{?_disable_shared:%doc AUTHORS NEWS README}
%{?_enable_shared:%_libdir/*.so}
%_pkgconfigdir/*
%_includedir/%name


%if_enabled static
%files devel-static
%_libdir/*.a
%endif


%changelog
* Fri Jun 13 2008 ALT QA Team Robot <qa-robot@altlinux.org> 0.1.7-alt1.1
- Automated rebuild due to libexiv2.so.2 -> libexiv2.so.4 soname change.

* Mon May 05 2008 Led <led@altlinux.ru> 0.1.7-alt1
- 0.1.7

* Fri Apr 04 2008 Led <led@altlinux.ru> 0.1.6-alt2
- fixed License

* Sat Mar 22 2008 Led <led@altlinux.ru> 0.1.6-alt1.1
- rebuild with libexiv2.so.2

* Sat Sep 22 2007 Led <led@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Mon May 14 2007 Led <led@altlinux.ru> 0.1.5-alt1
- 0.1.5

* Sat May 12 2007 Led <led@altlinux.ru> 0.1.4-alt2
- fixed %%files

* Mon May 07 2007 Led <led@altlinux.ru> 0.1.4-alt1
- 0.1.4
- updated BuildRequires

* Wed Mar 07 2007 Led <led@altlinux.ru> 0.1.1-alt1
- initial build
